package java.awt.image.renderable;

import java.awt.geom.Rectangle2D;
import java.awt.image.RenderedImage;

public interface ContextualRenderedImageFactory extends RenderedImageFactory
{
    public abstract RenderContext mapRenderContext(int p0, RenderContext p1, ParameterBlock p2, RenderableImage p3);
    
    public abstract RenderedImage create(RenderContext p0, ParameterBlock p1);
    
    public abstract Rectangle2D getBounds2D(ParameterBlock p0);
    
    public abstract Object getProperty(ParameterBlock p0, String p1);
    
    public abstract String[] getPropertyNames();
    
    public abstract boolean isDynamic();
}
